summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorWilliam Hubbs <williamh@gentoo.org>2023-01-16 14:11:18 -0600
committerWilliam Hubbs <williamh@gentoo.org>2023-01-16 14:11:32 -0600
commitbdca0b565a5b1ba816bb7b2e1e72ec734595804d (patch)
treed66cd030ad10660b3538b6bfb5d48363662ec5a5 /dev-util/github-cli
parentsys-kernel/gentoo-sources: drop 6.1.4 (diff)
downloadgentoo-bdca0b565a5b1ba816bb7b2e1e72ec734595804d.tar.gz
gentoo-bdca0b565a5b1ba816bb7b2e1e72ec734595804d.tar.bz2
gentoo-bdca0b565a5b1ba816bb7b2e1e72ec734595804d.zip
dev-util/github-cli: add 2.21.2
Signed-off-by: William Hubbs <williamh@gentoo.org>
Diffstat (limited to 'dev-util/github-cli')
-rw-r--r--dev-util/github-cli/Manifest2
-rw-r--r--dev-util/github-cli/github-cli-2.21.2.ebuild66
2 files changed, 68 insertions, 0 deletions
diff --git a/dev-util/github-cli/Manifest b/dev-util/github-cli/Manifest
index 4f5aaa3aa312..8453d29a7104 100644
--- a/dev-util/github-cli/Manifest
+++ b/dev-util/github-cli/Manifest
@@ -2,3 +2,5 @@ DIST github-cli-2.18.0-deps.tar.xz 98885904 BLAKE2B 2ba1252ca1ddab0e0dda6dbbd6b2
DIST github-cli-2.18.0.tar.gz 738480 BLAKE2B c56adae59ddbfa6693dff569c265db615e9609f7fee9942c349cb202d64f44ea1e2cccdb89632e65ebb954e133939e54053933b77782c741d768742403975e65 SHA512 3522d42016b165a8ffa5620bd2352023affceabb26d6c14ba5f5eeb5f42e3cfc002c71e7f0c1acbf4d626f0c3588c1609255802aabd1f4f700875ada82ef6826
DIST github-cli-2.20.2-deps.tar.xz 105896704 BLAKE2B c9562daa3dc682b4733d4a6b716556b13fc7329a46124f4cd1a0b2df9b8498d32801a97259a27645af643482d934a5968b237c48da4bcba2fe8ceda7d833e194 SHA512 81b1d7d7309a6abd0f9c2702345dc983816e835ed9058d140c717e5fc26352dc456d2bf63fc1bea3ca890c31e7173f3d3450939a3a58fff1b317b352bff0a885
DIST github-cli-2.20.2.tar.gz 759883 BLAKE2B a227ffc039ce861b0e006679f5487c5d9016cb57fc90438e29cccfcce6b087534ca7f53858c492296f35d721b802639d8b0100cf9c04166162e2f207a35c856b SHA512 2e14c408c2fbf5a409e7a271b5c77400cc84cd7f2567722fe7140f685ecd297dd39062d02d3fafaf9fa396da419fb7aa0c2d93c0541a30f3286c6745c5965df4
+DIST github-cli-2.21.2-deps.tar.xz 105943376 BLAKE2B 88b2f6a74a5bd88bfab180531c275f210ec153a5accc07a5a22889151ce373feab4cdd50db0677fa3208de43e89b646327722b50fe5d87194f0a13b97cda8c9b SHA512 4bd39a91b33f4c8898e69901d1657dfd93a6889c51bd8f1c6107517e6280bd77e86a3afcff406480ef2e0625fb2c41b37fb8abb9bafdb35d306c50d9e40c63d6
+DIST github-cli-2.21.2.tar.gz 774307 BLAKE2B 8f50d2cf5b093311974bffb56c0055021c35bf14f9323af0baaf5bc5803340ea053f7ae3cb5fe6475820c4e59a0044b55e865a87763be0cf65f7bb58ea9f5196 SHA512 c2bf99cfabae8329c6c0114afb2b7aadc6b081a0fa2398452c452f97e393f3597a61aa354223fad4f4a848089ee42dc26a529a43fc7006ffae090dadcb18c2e7
diff --git a/dev-util/github-cli/github-cli-2.21.2.ebuild b/dev-util/github-cli/github-cli-2.21.2.ebuild
new file mode 100644
index 000000000000..afe949aebe68
--- /dev/null
+++ b/dev-util/github-cli/github-cli-2.21.2.ebuild
@@ -0,0 +1,66 @@
+# Copyright 1999-2023 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+inherit bash-completion-r1 flag-o-matic go-module
+
+DESCRIPTION="GitHub CLI"
+HOMEPAGE="https://github.com/cli/cli"
+
+if [[ ${PV} == *9999 ]]; then
+ inherit git-r3
+ EGIT_REPO_URI="https://github.com/cli/cli.git"
+else
+ SRC_URI="https://github.com/cli/cli/archive/v${PV}.tar.gz -> ${P}.tar.gz"
+ SRC_URI+=" https://dev.gentoo.org/~williamh/dist/${P}-deps.tar.xz"
+ KEYWORDS="~amd64 ~arm64 ~loong ~ppc64 ~riscv"
+ S="${WORKDIR}/cli-${PV}"
+fi
+
+LICENSE="MIT Apache-2.0 BSD BSD-2 MPL-2.0"
+SLOT="0"
+
+RDEPEND=">=dev-vcs/git-1.7.3"
+
+RESTRICT="test"
+
+src_unpack() {
+ if [[ ${PV} == *9999 ]]; then
+ git-r3_src_unpack
+ go-module_live_vendor
+ else
+ go-module_src_unpack
+ fi
+}
+
+src_compile() {
+ [[ ${PV} == *9999 ]] || export GH_VERSION="v${PV}"
+ # Filter '-flto*' flags to avoid build failures.
+ filter-flags "-flto*"
+ # Filter '-ggdb3' flag to avoid build failures. bugs.gentoo.org/847991
+ filter-flags "-ggdb3"
+ # Go LDFLAGS are not the same as GCC/Binutils LDFLAGS
+ unset LDFLAGS
+ # Once we set up cross compiling, this line will need to be adjusted
+ # to compile for the target.
+ # Everything else in this function happens on the host.
+ emake
+
+ einfo "Building man pages"
+ emake manpages
+
+ einfo "Building completions"
+ go run ./cmd/gh completion -s bash > gh.bash-completion || die
+ go run ./cmd/gh completion -s zsh > gh.zsh-completion || die
+}
+
+src_install() {
+ dobin bin/gh
+ dodoc README.md
+
+ doman share/man/man?/gh*.?
+
+ newbashcomp gh.bash-completion gh
+ insinto /usr/share/zsh/site-functions
+ newins gh.zsh-completion _gh
+}